ikiwiki hosting internals/ bugs/ ikisite backup fails on Debian 12 (git 2.39.2)

After upgrading to Debian 12:

    # ikisite backup REDACTED --filename=/dev/null
    fatal: Need a repository to create a bundle.
    error: git failed

I think this is because git now distrusts directories not owned by the current user. The solution seems to be to sudo to the site's owning user before taking the backup.

Fixed in my `backup-with-newer-git` branch: http://git.pseudorandom.co.uk/smcv/ikiwiki-hosting.git/shortlog/refs/heads/backup-with-newer-git

--smcv

> merged, thanks. I will make a release with this today. --Joey